package com.ruoyi.system.service;

import com.ruoyi.system.domain.FeedbackFile;

import java.util.List;

/**
 * 反馈附件Service接口
 * 
 * @author ruoyi
 * @date 2022-10-21
 */
public interface IFeedbackFileService 
{
    /**
     * 查询反馈附件
     * 
     * @param fileId 反馈附件ID
     * @return 反馈附件
     */
    public FeedbackFile selectFeedbackFileById(Long fileId);

    /**
     * 查询反馈附件列表
     * 
     * @param feedbackFile 反馈附件
     * @return 反馈附件集合
     */
    public List<FeedbackFile> selectFeedbackFileList(FeedbackFile feedbackFile);

    /**
     * 新增反馈附件
     * 
     * @param feedbackFile 反馈附件
     * @return 结果
     */
    public int insertFeedbackFile(FeedbackFile feedbackFile);

    /**
     * 修改反馈附件
     * 
     * @param feedbackFile 反馈附件
     * @return 结果
     */
    public int updateFeedbackFile(FeedbackFile feedbackFile);

    /**
     * 批量删除反馈附件
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFeedbackFileByIds(String ids);

    /**
     * 删除反馈附件信息
     * 
     * @param fileId 反馈附件ID
     * @return 结果
     */
    public int deleteFeedbackFileById(Long fileId);
}
